Hostgroups don't have any puppet classes (or are removed upon editing a hostgroup)
Description

When I open a host group, there are no assigned/avaliable puppet classes.

If I make save changes to a host group, the assigned puppet classes are removed.

Additionally, classes are only selectable if I:

1. Edit the hostgroup

2. Change the environment from the desired value

3. Change the environment back to desired value.

4. Switch over to the puppet classes tabs

5. Re-assign classes

6. Save.

After saving, hammer shows the classes are assigned.

This pretty much makes the hostgroups unusable from the UI since they are wiping out all the classes.

Updating a hostgroup from hammer appears to work correctly.

Related issues:

Related to Foreman - Bug #3551: Foreman removes all puppet classes from a hos... Closed 10/31/2013

History

#1 - 02/09/2017 03:05 AM - Dominic Cleal

- Category changed from Web Interface to Puppet integration

This should only happen if the classes are unavailable in the selected environment, ensure that the classes are listed as being in that environment

under Configure > Puppet classes. Try with Foreman nightly too, as #3551 may make the behaviour clearer, and if you're using a non-admin user, try

one with full admin privileges in case the issue is authorisation-related.

#2 - 02/09/2017 10:40 AM - Daniel Kimsey

This is likely a duplicate then. I didn't realize that ticket was recently updated, I only glanced at the creation date and then ignored it.

I'll confirm when the next version hits release for Katello. I cannot test the nightly in my environment at this time.

#3 - 02/09/2017 10:50 AM - Dominic Cleal

- Related to Bug #3551: Foreman removes all puppet classes from a hostgroup when the environment is changed. added

#4 - 02/09/2017 10:50 AM - Dominic Cleal

- Status changed from New to Feedback

#5 - 05/17/2017 11:50 AM - Anonymous

Daniel, any insights here?
https://projects.theforeman.org/issues/3551


#6 - 05/17/2017 12:22 PM - Daniel Kimsey

We haven't yet upgraded [Enterprises are slow to upgrade ;)]. If you feel the issue is likely to be resolved by that ticket, just close this as a duplicate.

I'll re-open if the issue still exists after upgrade.

Thank you!

#7 - 05/17/2017 01:03 PM - Anonymous

- Status changed from Feedback to Resolved

Thanks, re-opening is the way to go :)
